# -*- coding: utf-8 -*-

import datetime
import json
from django.http import HttpResponse
from django.core.urlresolvers import reverse
from django.views.generic import TemplateView
from django.views.decorators.csrf import csrf_exempt

from acomea.my_acomea.models import FileGestioni


class FileGestioniImportView(TemplateView):
    template_name = 'admin/my_acomea/filegestioni/import.html'

    def get_context_data(self, **kwargs):
        context = super(FileGestioniImportView, self).get_context_data()
        context['upload_url'] = reverse('myacomea:my_acomea_post_dropzone')
        context['redirect_url'] = reverse('admin:my_acomea_filegestioni_changelist')
        return context

    def get_success_url(self):
        return reverse('admin:my_acomea_filegestioni_changelist')


def post_dropzone(request):
    for key in request.FILES.keys():
        upload_file = request.FILES.get(key)
        name = upload_file.name.split(".")[0].strip()
        date = datetime.datetime.strptime(name.split(" ")[2], "%Y-%m-%d").date()
        rapporto = name.split(" ")[-1]
        FileGestioni.objects.filter(date=date, rapporto=rapporto).delete()
        FileGestioni.objects.create(name=upload_file.name, date=date, rapporto=rapporto, file=upload_file)
    return HttpResponse(json.dumps(True), content_type="application/json")


@csrf_exempt
def close_modal(request):
    response = HttpResponse()
    if request.POST and 'cookie_key' in request.POST:
        cookie_key = request.POST.get('cookie_key')
        if cookie_key not in request.COOKIES:
            max_age = 365 * 24 * 60 * 60
            expires = datetime.datetime.strftime(
                datetime.datetime.utcnow() + datetime.timedelta(seconds=max_age),
                "%a, %d-%b-%Y %H:%M:%S GMT"
            )
            response.set_cookie(str(cookie_key), True, max_age=max_age, expires=expires)
    return response
