# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'MyAcomeAccordionSettings'
        db.create_table('cmsplugin_myacomeaccordionsettings', (
            ('cmsplugin_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['cms.CMSPlugin'], unique=True, primary_key=True)),
            ('status', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('title', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('disable_if_not_user', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('disable_if_not_lead', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('template_name', self.gf('django.db.models.fields.CharField')(default='accordion/cms_plugins/accordion.html', max_length=150)),
        ))
        db.send_create_signal('my_acomea', ['MyAcomeAccordionSettings'])

        # Adding model 'MyAcomeAccordionItemSettings'
        db.create_table('my_acomea_myacomeaccordionitemsettings', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('plugin', self.gf('django.db.models.fields.related.ForeignKey')(related_name='items', to=orm['my_acomea.MyAcomeAccordionSettings'])),
            ('title', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('text_color', self.gf(u'colorful.fields.RGBColorField')()),
            ('page_slug', self.gf('django.db.models.fields.SlugField')(max_length=100, null=True, blank=True)),
        ))
        db.send_create_signal('my_acomea', ['MyAcomeAccordionItemSettings'])


    def backwards(self, orm):
        # Deleting model 'MyAcomeAccordionSettings'
        db.delete_table('cmsplugin_myacomeaccordionsettings')

        # Deleting model 'MyAcomeAccordionItemSettings'
        db.delete_table('my_acomea_myacomeaccordionitemsettings')


    models = {
        'cms.cmsplugin': {
            'Meta': {'object_name': 'CMSPlugin'},
            'changed_date': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'creation_date': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('django.db.models.fields.CharField', [], {'max_length': '15', 'db_index': 'True'}),
            'level': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'lft': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'parent': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['cms.CMSPlugin']", 'null': 'True', 'blank': 'True'}),
            'placeholder': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['cms.Placeholder']", 'null': 'True'}),
            'plugin_type': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'}),
            'position': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'rght': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'tree_id': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'})
        },
        'cms.placeholder': {
            'Meta': {'object_name': 'Placeholder'},
            'default_width': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'slot': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'})
        },
        'my_acomea.myacomeaccordionitemsettings': {
            'Meta': {'ordering': "('ordering',)", 'object_name': 'MyAcomeAccordionItemSettings'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'page_slug': ('django.db.models.fields.SlugField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'plugin': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'items'", 'to': "orm['my_acomea.MyAcomeAccordionSettings']"}),
            'text_color': (u'colorful.fields.RGBColorField', [], {}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        'my_acomea.myacomeaccordionsettings': {
            'Meta': {'object_name': 'MyAcomeAccordionSettings', 'db_table': "'cmsplugin_myacomeaccordionsettings'", '_ormbases': ['cms.CMSPlugin']},
            'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'disable_if_not_lead': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'disable_if_not_user': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'status': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'template_name': ('django.db.models.fields.CharField', [], {'default': "'accordion/cms_plugins/accordion.html'", 'max_length': '150'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        'my_acomea.myacomeapluginsettings': {
            'Meta': {'object_name': 'MyAcomeAPluginSettings', 'db_table': "'cmsplugin_myacomeapluginsettings'", '_ormbases': ['cms.CMSPlugin']},
            'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'display': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        }
    }

    complete_apps = ['my_acomea']