# -*- coding: utf-8 -*-
from django.conf.urls import url, patterns

from acomea.my_acomea import views

from acomea.my_acomea.admin_views import post_dropzone, close_modal

urlpatterns = patterns(
    'acomea.my_acomea.views',
    url(r'^my-acomea/post-dropzone/$', post_dropzone, name='my_acomea_post_dropzone'),
    url(r'^my-acomea/close_modal/$', close_modal, name='close_modal'),
    url(
        r'^my-acomea/(?P<partecipazione>[-\w]+)/$',
        views.MyAcomea.as_view(),
        name='my_acomea'
    ),
    url(
        r'^my-acomea-dettagli/(?P<partecipazione>[-\w]+)/$',
        views.MyAcomeaDettagli.as_view(),
        name='my_acomea_dettagli'
    ),
    url(
        r'^fondi/dettaglio/modale/$',
        views.FondiDettaglioModale.as_view(),
        name='fondi_dettaglio_modale',
    ),
    url(
        r'^fondi/dettaglio/(?P<partecipazione>[-\w]+)/$',
        views.FondiDettaglioPartecipazione.as_view(),
        name='fondi_dettaglio'
    ),
    url(
        r'^fondi/dettaglio/export/(?P<partecipazione>[-\w]+)/$',
        views.FondiDettaglioExport.as_view(),
        name='fondi_dettaglio_export'
    ),
    url(
        r'^fondi/analisi-temporale/$',
        views.FondiAnalisiTemporale.as_view(),
        name='analisi_temporale'
    ),
    url(
        r'^fondi/analisi-temporale-dettaglio/(?P<partecipazione>[-\w]+)/$',
        views.FondiAnalisiTemporaleDettaglio.as_view(),
        name='analisi_temporale_dettaglio'
    ),
    url(
        r'^fondi/analisi-temporale-confronto/(?P<partecipazione>[-\w]+)/$',
        views.FondiAnalisiTemporaleConfronto.as_view(),
        name='analisi_temporale_confronto'
    ),
    url(
        r'^fondi/operazioni-in-corso/$',
        views.FondiOperazioniInCorso.as_view(),
        name='fondi_operazioni_in_corso'
    ),
    url(
        r'^fondi/operazioni-effettuate/(?P<partecipazione>[-\w]+)/$',
        views.FondiOperazioniEffettuate.as_view(),
        name='fondi_operazioni_effettuate'
    ),
    url(
        r'^fondi/operazioni-effettuate-dettaglio/$',
        views.FondiOperazioniEffettuateDettaglio.as_view(),
        name='fondi_operazioni_effettuate_dettaglio'
    ),
    url(
        r'^fondi/operazioni-in-corso-dettaglio/$',
        views.FondiOperazioniIncorsoDettaglio.as_view(),
        name='fondi_operazioni_in_corso_dettaglio'
    ),
    url(
        r'^fondi/eliminazione-operazione-in-corso/$',
        views.FondiEliminazioneOperazioneInCorso.as_view(),
        name='fondi_eliminazione_operazione_in_corso'
    ),
    url(
        r'^fondi/servizi-attivi/$',
        views.FondiServiziAttivi.as_view(),
        name='fondi_servizi_attivi'
    ),
    url(
        r'^fondi/eliminazione-servizio-inserito/$',
        views.FondiEliminazioneServizioInserito.as_view(),
        name='fondi_eliminazione_servizio_inserito'
    ),
    url(
        r'^fondi/revoca-servizio-attivo/$',
        views.FondiRevocaServizioAttivo.as_view(),
        name='fondi_revoca_servizio_attivo'
    ),
    url(
        r'^gestioni/operazioni-effettuate/(?P<partecipazione>[-\w]+)/$',
        views.GestioniOperazioniEffettuate.as_view(),
        name='gestioni_operazioni_effettuate'
    ),
    url(
        r'^gestioni/dettaglio/(?P<partecipazione>[-\w]+)/$',
        views.GestioniDettaglioPartecipazione.as_view(),
        name='gestioni_dettaglio'
    ),
    url(
        r'^gestioni/storico-estratto-conto/(?P<partecipazione>[-\w]+)/$',
        views.GestioniStoricoEstrattoConto.as_view(),
        name='gestioni_storico_estratto_conto'
    ),
    url(
        r'^gestioni/storico-estratto-conto-dettaglio/(?P<partecipazione>[-\w]+)/$',
        views.GestioniStoricoEstrattoConto.as_view(),
        name='gestioni_storico_estratto_conto_dettaglio'
    ),
    url(
        r'^gestioni/riclassificazione-portafogli/(?P<partecipazione>[-\w]+)/$',
        views.GestioniRiclassificazionePortafogli.as_view(),
        name='gestioni_riclassificazione_portafogli',
    ),
    url(
        r'^gestioni/riclassificazione-portafogli/dettaglio/(?P<partecipazione>[-\w]+)/$',
        views.GestioniRiclassificazionePortafogli.as_view(),
        name='gestioni_riclassificazione_portafogli_dettaglio',
    ),
    url(
        r'^gestioni/dettaglio-titoli/(?P<partecipazione>[-\w]+)/$',
        views.GestioniDettaglioTitoli.as_view(),
        name='gestioni_dettaglio_titoli',
    ),
    url(
        r'^gestioni/dettaglio-titoli/dettaglio/(?P<partecipazione>[-\w]+)/$',
        views.GestioniDettaglioTitoli.as_view(),
        name='gestioni_dettaglio_titoli_dettaglio',
    ),
    url(
        r'^gestioni/dettaglio-titoli-modale/$',
        views.GestioniDettaglioTitoliModale.as_view(),
        name='gestioni_dettaglio_titoli_modale',
    ),
    url(
        r'^gestioni/storico-estratto-conto-download/(?P<instance_id>\d+)/$',
        views.GestioniStoricoEstrattoContoDownload.as_view(),
        name='gestioni_storico_estratto_conto_download'
    ),
)
