# -*- coding: utf-8 -*-

import simplejson


def get_fondi_dettagli_ripartizione_pie_dataset(dati_ripartizione, partecipazione, prodotto):
    data = [{'name': data['descrizione'], 'y': data['peso'], 'color': data['rgb']} for data in dati_ripartizione]
    chart_options = {
        'credits': {
            'text': '',
            'enabled': 'false'
        },
        'chart': {
            'margin': [0, 0, 0, 0],
            'spacingTop': 0,
            'spacingBottom': 0,
            'spacingLeft': 0,
            'spacingRight': 0,
            'renderTo': "ripartizione-pie-{}-{}".format(partecipazione, prodotto),
            'type': 'pie',
        },
        'plotOptions': {
            'pie': {
                'size': '100%',
                'dataLabels': {
                    'enabled': False
                },
                'enableMouseTracking': False,
            },
        },
        'title': {
            'text': None
        },
        'subtitle': {
            'text': None
        },
        'series': [{
            'name': 'fondo',
            'data': data,
        }]
    }
    return simplejson.dumps(chart_options)